Bug 802043 - [abrt] telepathy-butterfly-0.5.15-4.fc16: resolver.py:66:query:TypeError: <lambda>() takes no arguments (2 given)
[abrt] telepathy-butterfly-0.5.15-4.fc16: resolver.py:66:query:TypeError: <la...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:7969c48d263ba051e7f28bd8939...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-10 09:07 EST by Bernabé Borrero
Modified: 2013-02-13 05:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:19:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernabé Borrero 2012-03-10 09:07:22 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
comment:        I don't know what caused the problem. Suddenly telepathy-butterfly took up 100% of the CPU and after some seconds it crashed. It has been doing the same for two hours.
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.2.9-1.fc16.x86_64
reason:         resolver.py:66:query:TypeError: <lambda>() takes no arguments (2 given)
time:           sáb 10 mar 2012 14:58:50 CET
uid:            1000
username:       berna

backtrace:
:resolver.py:66:query:TypeError: <lambda>() takes no arguments (2 given)
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/util/decorator.py", line 84, in async_function
:    func(*args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/papyon/gnet/resolver.py", line 66, in query
:    result = socket.getaddrinfo(host, None, socket.AF_INET, socket.SOCK_STREAM)
:TypeError: <lambda>() takes no arguments (2 given)
:
:Local variables in innermost frame:
:callback: (<bound method SSLTCPClient.__open of <SSLTCPClient object at 0x29e2f00 (papyon+gnet+io+ssl_tcp+SSLTCPClient at 0x2a57fa0)>>, 'omega.contacts.msn.com', 443)
:host: 'omega.contacts.msn.com'
:self: <papyon.gnet.resolver.HostnameResolver object at 0x2ac68d0>
:errback: (<bound method SSLTCPClient.__open_failed of <SSLTCPClient object at 0x29e2f00 (papyon+gnet+io+ssl_tcp+SSLTCPClient at 0x2a57fa0)>>,)

smolt_data:
:
:
:General
:=================================
:UUID: a1a26446-004a-4e06-9f52-f6d5f5a7badf
:SO: Fedora release 16 (Verne)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.utf8
:Plataforma: x86_64
:BogoMIPS: 4988.92
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Core(TM) i5-2450M CPU @ 2.50GHz
:Paso del UCP: 7
:Familia de UCP: 6
:Número de Modelo de CPU: 42
:Número de CPUs: 4
:Velocidad del CPU: 2501
:Memoria del Sistema: 5881
:Intercambio (swap) del Sistema: 7935
:Vendedor: Sony Corporation
:Sistema: VPCCB4C5E C60A69Y2
:Factor de forma: Notebook
:Kernel: 3.2.9-1.fc16.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(4480:57906:4173:36993) pci, None, BASE, N/A
:(32902:7241:4173:36993) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(4147:404:4173:36993) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:294:4173:36992) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4173:36993) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4173:36993) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4173:36993) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4098:26433:4173:36992) pci, radeon, VIDEO, NI Whistler [AMD Radeon HD 6600M Series]
:(32902:7200:4173:36993) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:4173:36993) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:4173:36993) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(5772:50:4187:57412) pci, ath9k, NETWORK, AR9485 Wireless Network Adapter
:(6505:4227:4173:36993) pci, atl1c, ETHERNET, AR8151 v2.0 Gigabit Ethernet
:(4480:59427:4173:36993) pci, sdhci-pci, BASE, N/A
:(32902:7171:4173:36993) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4173:36993) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4173:36993) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4173:36993) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4173:36993) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:4173:36993) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_berna-lv_root / ext4 4096 4096 13092026 11579462 11448440 3276800 3105092 3105092
:/dev/sda5 /boot ext4 1024 1024 508745 435606 410006 128016 127785 127785
:/dev/mapper/vg_berna-lv_home /home ext4 4096 4096 62857337 39136841 35990294 15736832 15637876 15637876
:
Comment 1 Fedora End Of Life 2013-01-16 06:09:54 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:19:14 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.